----------------------
-- Creates a new sound
----------------------
function newSound(soundFile)
   local o = {}
   
   
   ---------------------------
   -- Constructor of the sound
   ---------------------------
   function o:construct(soundFile)
      self.sound = pge.wav.load(soundFile)
      return self
   end
   
   
   ------------------
   -- Plays the sound
   ------------------
   function o:play()
      pge.wav.play(self.sound)
   end
   
   
   return o:construct(soundFile)
end
